Skip to main content
GET
/
purchase_order
/
get_processing_with_items
Purchase Order - Get Processing With Items
curl --request GET \
  --url https://api.skulabs.com/purchase_order/get_processing_with_items \
  --header 'Authorization: Bearer <token>'
{
  "purchase_orders": [
    {
      "_id": "507f1f77bcf86cd799439011",
      "number": "<string>",
      "status": "closed",
      "account_id": "<string>",
      "distributor_id": "<string>",
      "log": [
        {
          "user_id": "507f1f77bcf86cd799439011",
          "action": "<string>",
          "details": {},
          "time": "2025-01-15T12:00:00.000Z"
        }
      ],
      "items": [
        {
          "item_id": "<string>",
          "kit_id": "<string>",
          "sku": "<string>",
          "name": "<string>",
          "quantity": 123,
          "received": 123,
          "cost": 123,
          "rate": 123,
          "type": "item",
          "serial_numbers": [
            "<string>"
          ],
          "description": "<string>",
          "unit": "<string>"
        }
      ],
      "custom_items": [
        {}
      ],
      "custom_adjustments": [
        {
          "name": "<string>",
          "amount": 123
        }
      ],
      "tracking": [
        {}
      ],
      "subtotal": 123,
      "total": 123,
      "tax": 123,
      "tax_per": 123,
      "shipping": 123,
      "discount": 123,
      "due_date": "2025-01-15",
      "arrival_date": "2025-01-15",
      "closed_date": "2025-01-15",
      "metadata": {},
      "discount_per": 123,
      "tags": [
        "507f1f77bcf86cd799439011",
        "507f1f77bcf86cd799439012"
      ],
      "store_id": "507f1f77bcf86cd799439011",
      "warehouse_id": "<string>",
      "memo": "<string>",
      "currency": "<string>",
      "terms": "<string>",
      "method": "<string>",
      "order_number": "<string>",
      "dropship_address": {},
      "dropshipped": true,
      "bol_pro_numbers": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Processing purchase orders with item details

purchase_orders
object[]
required

Array of purchase orders